### File

`packages/components/eui-input-text/eui-icon.directive.ts`

### Description

Metadata for the icon directive used in input elements. This interface defines the properties that can be used to configure the icon, including the icon name, aria label, and whether the icon is clickable.

### Index

###### Properties
Optional ariaLabel Optional clickable Optional colour icon

### Properties

ariaLabel
`ariaLabel: `string``
Type : `string`
Optional
The aria-label for the icon, used for accessibility purposes. This should describe the icon's function or purpose.

clickable
`clickable: `boolean``
Type : `boolean`
Optional
Indicates whether the icon is clickable. If true, the icon will respond to click events. If false, the icon will not respond to click events and will not have pointer events enabled.

colour
`colour: `string``
Type : `string`
Optional
The color of the icon. This can be used to customize the appearance of the icon. If not specified, the default color will be used.

icon
`icon: `string``
Type : `string`
The icon name to be displayed. This should correspond to an icon in the icon set.

# results matching ""

# No results matching ""